post.cpp File Reference
`#include <algorithm>`
`#include <climits>`
`#include <gecode/float/linear.hh>`
`#include <gecode/float/rel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Float::Linear::TermLess
| Sort linear terms by view. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Linear
| Linear propagators

## Functions

void | Gecode::Float::Linear::estimate (Term *t, int n, FloatVal c, FloatNum &l, FloatNum &u)
| Estimate lower and upper bounds.
bool | Gecode::Float::Linear::overflow (Term *t, int n, FloatVal c)
FloatView | Gecode::Float::Linear::extend (Home home, Region &r, Term *&t, int &n)
| Extend terms by adding view for result.
template<class View>
void | Gecode::Float::Linear::post_nary (Home home, ViewArray< View > &x, ViewArray< View > &y, FloatRelType frt, FloatVal c)
| Posting n-ary propagators.
void | Gecode::Float::Linear::dopost (Home home, Term *t, int n, FloatRelType frt, FloatVal c)
void | Gecode::Float::Linear::post (Home home, Term *t, int n, FloatRelType frt, FloatVal c)
| Post propagator for linear constraint over floats.
void | Gecode::Float::Linear::post (Home home, Term *t, int n, FloatRelType frt, FloatVal c, Reify r)
| Post propagator for reified linear constraint over floats.